# TTTT Analysis: fv::ContainerMean< T > Class Template Reference

fv::ContainerMean< T > Class Template Reference
Inheritance diagram for fv::ContainerMean< T >:
[legend]
Collaboration diagram for fv::ContainerMean< T >:
[legend]

## Public Member Functions

| ContainerMean (const std::string &name, Value< T > *value)
T * | get_container ()
void | save_as (const std::string &fname)
virtual void | save ()
Public Member Functions inherited from fv::Container< T >
| Container (const std::string &name, T *container)
Public Member Functions inherited from fv::GenContainer
| GenContainer (const std::string name, const std::string &desc)
| GenContainer (const std::string name)
void | add_filter (GenValue *filter)
void | fill ()
void | set_description (const std::string &description)
const std::string & | get_name ()
virtual void | save_as (const std::string &fname, const SaveOption &option)=0
virtual void | save (const SaveOption &option=SaveOption::PNG)

## Private Member Functions

void | _fill ()

## Private Attributes

Value< T > * | value
int | count
T | sum

## Additional Inherited Members

Protected Attributes inherited from fv::Container< T >
T * | container

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/container.hpp